from PyQt5.QtCore import Qt, QObject, pyqtSignal
from PyQt5.QtWidgets import QCheckBox

from astra_installer.license import License
from astra_installer.settings.manager import SettingsManager
from astra_installer_qt.license_dialog import LicenseDialog


class LicenseManager(QObject):
    license_accepted = pyqtSignal(bool)

    def __init__(self, agree_checkbox: QCheckBox) -> None:
        super(LicenseManager, self).__init__()
        self.agree_checkbox = agree_checkbox
        self.agree_checkbox.stateChanged.connect(self.on_agree_checkbox_state_changed)

    def show_license(self) -> None:
        license = License.load(SettingsManager)
        dialog = LicenseDialog(license)
        dialog.exec()

    def on_agree_checkbox_state_changed(self, state: Qt.CheckState) -> None:
        self.license_accepted.emit(state == Qt.Checked)
