from PyQt5.QtCore import QObject
from PyQt5.QtWidgets import QLabel, QProgressBar


class ProgressManager(QObject):
    def __init__(self, desc_label: QLabel, percent_label: QLabel, progressbar: QProgressBar) -> None:
        super(ProgressManager, self).__init__()
        self.desc_label = desc_label
        self.percent_label = percent_label
        self.progressbar = progressbar

    def set_progress_value(self, value: int) -> None:
        self.progressbar.setValue(value)
        self.percent_label.setText("{}%".format(value))

    def set_progress_description(self, description: str) -> None:
        self.desc_label.setText(description)

    def set_progress(self, value: int, description: str) -> None:
        self.set_progress_description(description)
        self.set_progress_value(value)

    def hide(self) -> None:
        self.desc_label.hide()
        self.progressbar.hide()
