from PyQt5 import uic
from PyQt5.QtCore import QEvent
from PyQt5.QtWidgets import QWidget, QDialog

from astra_installer_qt.utils import Utils

dialog_ui = Utils.file_path('ui', 'quit_dialog.ui')
UiFormClass, UiFormBase = uic.loadUiType(dialog_ui)  # type: QDialog, QDialog


class QuitDialog(UiFormClass, UiFormBase):
    def __init__(self, parent: QWidget = None) -> None:
        super().__init__(parent=parent)
        self.setupUi(self)

    def setup(self, locale: str) -> None:
        self.setModal(True)
        self.closePushButton.setFocus()
        self.closePushButton.clicked.connect(self.reject)
        self.poweroffPushButton.clicked.connect(Utils.poweroff)
        self.rebootPushButton.clicked.connect(Utils.reboot)

    # noinspection PyPep8Naming
    def changeEvent(self, event: QEvent) -> None:
        if event.type() == QEvent.LanguageChange:
            self.retranslateUi(self)

    def retranslate(self, locale: str) -> None:
        self.setup(locale)
