class InstallerDiskActionsMenu(object):
    """ Popup context menu for disks
    """

    def __init__(self, blivet_gui):
        self.blivet_gui = blivet_gui
        self.menu = self.blivet_gui.builder.get_object("installer_disk_actions_menu")

        # Dict to translate menu item names (str) to menu items (Gtk.MenuItem)
        self.menu_items = {}

        self.create_menu()

    def create_menu(self):
        """ Create popup menu
        """

        items = [ ("info", self.blivet_gui.disk_information) ]

        for item in items:
            menu_item = self.blivet_gui.builder.get_object("disk_menuitem_" + item[0])
            menu_item.connect("activate", item[1])
            menu_item.set_sensitive(True)

            self.menu_items[item[0]] = menu_item
