from PyQt5 import uic
from PyQt5.QtCore import Qt
from PyQt5.QtGui import QCloseEvent
from PyQt5.QtWidgets import QWidget, QDialog

from astra_installer_qt.utils import Utils as QtUtils

dialog_ui = QtUtils.file_path('storage', 'ui', 'wait_dialog.ui')
UiFormClass, UiFormBase = uic.loadUiType(dialog_ui)  # type: QDialog, QDialog


class WaitDialog(UiFormClass, UiFormBase):
    def __init__(self, parent: QWidget = None) -> None:
        super().__init__(parent=parent)
        self.setupUi(self)
        self.__setup()

    def __setup(self) -> None:
        self.setModal(True)
        self.setWindowFlags(Qt.CustomizeWindowHint | Qt.WindowCloseButtonHint)

    def closeEvent(self, event: QCloseEvent) -> None:
        event.ignore()
